import { StyleSheet } from "react-native";
import {
  windowHeight,
  appColors,
  appFonts,
  fontSizes,
  windowWidth,
} from "@src/themes";

const styless = StyleSheet.create({
  reviewSubmit: {
    alignContent: "center",
    alignSelf: "center",
    alignItems: "center",
  },
  textinput: { paddingHorizontal: windowWidth(0) },
  closeStyle: {
    position: "absolute",
    right: windowHeight(10),
    top: windowHeight(10),
  },
  ride_status: {
    marginHorizontal: windowWidth(15),
    marginTop: windowHeight(10),
    gap: 15,
  },
  needHelpText: {
    fontFamily: appFonts.medium,
    color: appColors.primary,
    fontSize: fontSizes.FONT18,
  },
  needHelpView: {
    marginHorizontal: windowWidth(20),
    width: windowWidth(435),
    marginVertical: windowHeight(8),
    marginBottom: windowHeight(1),
    height: windowHeight(25)
  },
  paymentMethodLine: {
    borderLeftWidth: windowHeight(1),
    borderRightWidth: windowHeight(1),
    borderTopWidth: windowHeight(1),
  },
  paymentMethodView: {
    position: "absolute",
    backgroundColor: appColors.border,
    height: 1,
    width: "100%",
    bottom: 0,
    justifyContent: "center",
  },
  ride_statusView: {
    backgroundColor: appColors.whiteColor,
    marginHorizontal: windowWidth(25),
    marginTop: windowHeight(4),
    paddingVertical: windowHeight(8),
    borderRadius: windowHeight(15),
    paddingBottom: windowHeight(10),
  },
  cancellation_reasonText: {
    color: appColors.textRed,
    fontFamily: appFonts.regular,
  },
  cancellation_reasonView: {
    backgroundColor: appColors.warnBg,
    width: "100%",
    padding: windowHeight(8),
    borderRadius: windowWidth(10),
    marginTop: windowHeight(4),
  },
  cancelledView: { marginHorizontal: windowWidth(20) },
  timeText: {
    color: appColors.regularText,
    fontFamily: appFonts.regular,
    paddingHorizontal: windowWidth(4),
  },
  clockSmall: {
    marginTop: windowHeight(5),
  },
  iconView: {
    alignItems: "center",
    // height: windowHeight(32),
    // justifyContent: "space-between",
    marginHorizontal: windowWidth(15),
    marginTop: windowHeight(5),
  },
  calenderSmallView: {
    alignItems: "center",
  },
  dashedLine: {
    height: windowHeight(4),
    width: "200%",
    marginVertical: windowHeight(12),
    alignSelf: "center",
  },
  rentalMainView: {
    marginTop: windowHeight(15),
    alignSelf: "center",
    marginHorizontal: windowWidth(20),
    borderRadius: windowHeight(5),
    overflow: "hidden",
    borderColor: appColors.border,
  },
  rentalView: {
    justifyContent: "space-between",
    width: "100%",
  },
  rentalView1: {
    justifyContent: "space-between",
    width: "100%",
    marginTop: windowHeight(12),
    paddingHorizontal: windowWidth(15),
    height: windowHeight(42),
    alignItems: "center",
    borderRadius: windowWidth(15),
    borderWidth: 1,
  },
  viewRental: {
    flexDirection: "column",
    padding: windowHeight(8),
  },
  startDateText: {
    color: appColors.iconColor,
    fontFamily: appFonts.medium,
  },
  linee: {
    borderLeftWidth: 1,
    borderColor: appColors.border,
    height: windowHeight(42),
    borderStyle: "dashed",
  },
  vieww: { marginTop: windowHeight(5) },

  rentalLine: {
    borderLeftWidth: 1,
    height: "100%",
    borderStyle: "dashed",
    borderColor: appColors.border,
  },
  scheduleView: {
    justifyContent: "space-between",
    marginVertical: windowHeight(10),
    marginHorizontal: windowWidth(20),
    borderRadius: windowHeight(5),
    borderColor: appColors.border,
  },
});
export default styless;
